# $Revision: 1.6 $, $Date: 2004/05/06 17:57:00 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Glade
%define		pnam	Perl
Summary:	Perl module to generate Gtk-Perl apps from a Glade file
Summary(pl):	Modu Perla generujcy aplikacje Gtk-Perl na bazie pliku Glade
Name:		perl-Glade
Version:	0.61
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	13159e67d1a91bf912b4ffea2975cd1a
URL:		http://www.gtkperl.org/
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-gnome
BuildRequires:	perl-gtk
BuildRequires:	perl-Unicode-String
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Glade-Perl will read a Glade-Interface XML file, build the UI and/or
write the perl source to create the UI later and handle signals. It
also creates an 'App' and a 'Subclass' that you can edit.

Glade-Perl can generate AUTOLOAD type OO code with subclasses or even
Libglade apps.

%description -l pl
Glade-Perl czyta plik XML z opisem interfejsu Glade, tworzy UI i/lub
zapisuje perlowe rda pniej tworzce UI i obsugujce sygnay.
Tworzy take 'App' i 'Subclass', ktre mona modyfikowa.

Glade-Perl moe generowa kod obiektowy typu AUTOLOAD z podklasami lub
nawet aplikacjami Libglade.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}
%{_mandir}/man*/*
%{_bindir}/glade2perl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Glade.spec,v $
Revision 1.6  2004/05/06 17:57:00  ankry
- fixed perl-devel BR

Revision 1.5  2004/04/21 08:40:39  ankry
- license fixes/unification

Revision 1.4  2003/08/18 11:21:15  qboosh
- pl description, fixed build with vendordirs

Revision 1.3  2003/08/18 10:20:50  ankry
- some description

Revision 1.2  2003/08/18 08:08:49  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.1  2003/07/17 15:07:52  zagrodzki
- needs only summaries, descriptions. Builds and works.
